cutlass::reference::device::kernel::detail::TensorForEachHelper< Func, Rank, 0 > Struct Template Reference

Helper to perform for-each operation.

`#include <tensor_foreach.h>`

## Public Member Functions

__inline__ __device__ | TensorForEachHelper (Func &func, Coord< Rank > const &size, Coord< Rank > &coord, int64_t index)
| Constructor for fastest chaning rank. More...

## Constructor & Destructor Documentation

template<typename Func , int Rank>

__inline__ __device__ cutlass::reference::device::kernel::detail::TensorForEachHelper< Func, Rank, 0 >::TensorForEachHelper | ( | Func & | func,
|  | Coord< Rank > const & | size,
|  | Coord< Rank > & | coord,
|  | int64_t | index
| ) |  |

inline

The documentation for this struct was generated from the following file:

- device/kernel/tensor_foreach.h